Skip to main content
POST
/
v1
/
voices
/
third_party
Bind Third Party Voice
curl --request POST \
  --url https://api.example.com/v1/voices/third_party \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "provider_voice_id": "<string>",
  "secret_id": "<string>",
  "name": "<string>"
}
'
{
  "code": 100,
  "data": {
    "voice_id": "<string>"
  },
  "message": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Cookies

la_session
string

Body

application/json

Request body for POST /v1/voices/third_party - bind a third-party voice using a secret.

provider_voice_id
string
required

Voice ID from the provider (e.g. ElevenLabs voice ID)

secret_id
string
required

ID of the space secret containing the provider API key

name
string

Name of the voice

Response

Successful Response

code
integer
default:100
data
ThirdPartyVoiceBindResponseSchema · object

Response from POST /v1/voices/third_party.

message
string